vbi_option_info Struct Reference
High Level Decoding » Exporting formatted Teletext and Closed Caption pages

Information about an export option. More...

`#include <export.h>`

## Data Fields

vbi_option_type | type
char * | keyword
char * | label
vbi_option_value | def
vbi_option_value | min
vbi_option_value | max
vbi_option_value | step
vbi_option_value_ptr | menu
char * | tooltip

## Detailed Description

Information about an export option.

Although export options can be accessed by a static keyword they are by definition opaque: the client can present them to the user and manipulate them without knowing about their presence or purpose. To do so, some information about the option is necessary, given in this structure.

You can obtain this information with vbi_export_option_info_enum().

Examples
  src/exp-templ.c.

## Field Documentation

## type

vbi_option_type vbi_option_info::type

See also
  vbi_option_type

Referenced by vbi_export_invalid_option(), vbi_export_option_menu_get(), and vbi_export_option_menu_set().

## keyword

char* vbi_option_info::keyword

Unique (within the respective export module) keyword to identify this option. Can be stored in configuration files.

Referenced by vbi_export_option_info_keyword().

## label

char* vbi_option_info::label

Name of the option to be shown to the user. This can be `NULL` to indicate this option shall not be listed. Can be localized with dgettext("zvbi", label).

## def

vbi_option_value vbi_option_info::def

See also
  vbi_option_type

## min

vbi_option_value vbi_option_info::min

See also
  vbi_option_type

Referenced by vbi_export_option_menu_get().

## max

vbi_option_value vbi_option_info::max

See also
  vbi_option_type

Referenced by vbi_export_option_menu_set().

## step

vbi_option_value vbi_option_info::step

See also
  vbi_option_type

## menu

vbi_option_value_ptr vbi_option_info::menu

See also
  vbi_option_type

Referenced by vbi_export_option_menu_get(), and vbi_export_option_menu_set().

## tooltip

char* vbi_option_info::tooltip

A brief description (or `NULL`) for the user. Can be localized with dgettext("zvbi", tooltip).